package com.vetti.hotake.service;

import java.util.List;
import com.vetti.hotake.domain.HotakeSysNotice;
import com.vetti.hotake.domain.dto.HotakeSysNoticeDto;
import com.vetti.hotake.domain.dto.HotakeSysNoticeViewDto;
import org.springframework.web.multipart.MultipartFile;

/**
 * 通知Service接口
 * 
 * @author ID
 * @date 2025-11-01
 */
public interface IHotakeSysNoticeService 
{
    /**
     * 查询通知
     * 
     * @param id 通知主键
     * @return 通知
     */
    public HotakeSysNotice selectHotakeSysNoticeById(Long id);

    /**
     * 查询通知列表
     * 
     * @param hotakeSysNotice 通知
     * @return 通知集合
     */
    public List<HotakeSysNotice> selectHotakeSysNoticeList(HotakeSysNotice hotakeSysNotice);

    /**
     * 新增通知
     * 
     * @param hotakeSysNotice 通知
     * @return 结果
     */
    public int insertHotakeSysNotice(List<MultipartFile> files, HotakeSysNotice hotakeSysNotice);

    /**
     * 修改通知
     * 
     * @param hotakeSysNotice 通知
     * @return 结果
     */
    public int updateHotakeSysNotice(List<MultipartFile> files,HotakeSysNotice hotakeSysNotice);

    /**
     * 批量删除通知
     * 
     * @param ids 需要删除的通知主键集合
     * @return 结果
     */
    public int deleteHotakeSysNoticeByIds(Long[] ids);

    /**
     * 删除通知信息
     * 
     * @param id 通知主键
     * @return 结果
     */
    public int deleteHotakeSysNoticeById(Long id);

    /**
     * 批量新增通知
     *
     * @param hotakeSysNoticeList 通知列表
     * @return 结果
     */
    public int batchInsertHotakeSysNotice(List<HotakeSysNotice> hotakeSysNoticeList);

    HotakeSysNoticeViewDto selectHotakeSysNoticeViewList(HotakeSysNotice hotakeSysNotice);

    HotakeSysNoticeDto selectHotakeSysNoticeViewById(Long id);

    int allRead();
}
